dbXML API

## com.dbxml.db.enterprise.jsp
Class RemoveDocumentTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.dbxml.db.enterprise.jsp.RemoveDocumentTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class RemoveDocumentTag
extends javax.servlet.jsp.tagext.TagSupport

RemoveDocumentTag removes the specified Document key from the Collection.
Example:

       <dbxml:remove collection="myCol" key="myDoc.xml"/>

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RemoveDocumentTag()`

Method Summary
`int` `doStartTag()`
`java.lang.String` `getCollection()`
`java.lang.String` `getKey()`
`void` `setCollection(java.lang.String collection)`
`void` `setKey(java.lang.String key)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveDocumentTag

    public RemoveDocumentTag()

Method Detail

### getCollection

    public java.lang.String getCollection()

### setCollection

    public void setCollection(java.lang.String collection)

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

dbXML API

Copyright (c) 2004 The dbXML Group